Public Attributes | List of all members
mlmr_c_handles_t Struct Reference
BLE Services » Multi Link Multi Role Service Client (MLMR_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <mlmr_c.h>`

## Public Attributes
uint16_t | mlmr_c_srvc_start_handle
| MLMR_C Service start handle. More...
uint16_t | mlmr_c_srvc_end_handle
| MLMR_C Service end handle. More...
uint16_t | mlmr_c_tx_handle
| Handle of MLMR_C Tx characteristic as provided by a discovery. More...
uint16_t | mlmr_c_tx_cccd_handle
| Handle of CCCD of MLMR_C Tx characteristic as provided by a discovery. More...
uint16_t | mlmr_c_rx_handle
| Handle of MLMR_C Rx characteristic as provided by a discovery. More...
uint16_t | mlmr_c_flow_ctrl_handle
| Handle of MLMR_C Flow Control characteristic as provided by a discovery. More...
uint16_t | mlmr_c_flow_ctrl_cccd_handle
| Handle of CCCD of MLMR_C Flow Control characteristic as provided by a discovery. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 124 of file mlmr_c.h.

## Member Data Documentation

## ◆ mlmr_c_flow_ctrl_cccd_handle

uint16_t mlmr_c_handles_t::mlmr_c_flow_ctrl_cccd_handle

Handle of CCCD of MLMR_C Flow Control characteristic as provided by a discovery.

Definition at line 132 of file mlmr_c.h.

## ◆ mlmr_c_flow_ctrl_handle

uint16_t mlmr_c_handles_t::mlmr_c_flow_ctrl_handle

Handle of MLMR_C Flow Control characteristic as provided by a discovery.

Definition at line 131 of file mlmr_c.h.

## ◆ mlmr_c_rx_handle

uint16_t mlmr_c_handles_t::mlmr_c_rx_handle

Handle of MLMR_C Rx characteristic as provided by a discovery.

Definition at line 130 of file mlmr_c.h.

## ◆ mlmr_c_srvc_end_handle

uint16_t mlmr_c_handles_t::mlmr_c_srvc_end_handle

MLMR_C Service end handle.

Definition at line 127 of file mlmr_c.h.

## ◆ mlmr_c_srvc_start_handle

uint16_t mlmr_c_handles_t::mlmr_c_srvc_start_handle

MLMR_C Service start handle.

Definition at line 126 of file mlmr_c.h.

## ◆ mlmr_c_tx_cccd_handle

uint16_t mlmr_c_handles_t::mlmr_c_tx_cccd_handle

Handle of CCCD of MLMR_C Tx characteristic as provided by a discovery.

Definition at line 129 of file mlmr_c.h.

## ◆ mlmr_c_tx_handle

uint16_t mlmr_c_handles_t::mlmr_c_tx_handle

Handle of MLMR_C Tx characteristic as provided by a discovery.

Definition at line 128 of file mlmr_c.h.

The documentation for this struct was generated from the following file:

- mlmr_c.h